Package: org.grails.cli.profile.commands.factory

## [Groovy] Interface CommandFactory

-     interface CommandFactory

  Factory for the creation of Command instances

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `abstract java.util.Collection<Command>` | `findCommands(Profile profile, boolean inherited)` Creates a command for the given name

- - ### Method Detail

    - #### abstract java.util.Collection<Command> findCommands(Profile profile, boolean inherited)

      Creates a command for the given name

      Parameters:
        `name` - The name of the command
        `profile` - The Profile
        `inherited` - Whether the profile passed is inherited (ie a parent profile)
      Returns:
        A command or null if it wasn't possible to create one